<template>
	<nav class="navbar-default navbar-static-side" role="navigation">
    <div class="sidebar-collapse">
      <ul class="nav metismenu" id="side-menu">
        <li class="nav-header">
            <div class="dropdown profile-element"> <span>
                    <img alt="image" class="img-circle" src="../../inspinia/img/profile_small.jpg" />
                     </span>
                <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                    <span class="clear"> <span class="block m-t-xs"> <strong class="font-bold">{{ user_detail.name }}</strong>
                     </span> <span class="text-muted text-xs block">{{ user_detail.email }} <b class="caret"></b></span> </span> </a>
                <ul class="dropdown-menu animated fadeInRight m-t-xs">
                    <li><a href="profile.html">Profile</a></li>
                    <li><a href="contacts.html">Contacts</a></li>
                    <li><a href="mailbox.html">Mailbox</a></li>
                    <li class="divider"></li>
                    <li><a @click="logout">Logout</a></li>
                </ul>
            </div>
            <div class="logo-element">
                IN+
            </div>
          </li>
        
        <!-- Dashboard -->
        <li v-bind:class="{ active: sidebar_dashboard }">
          <router-link :to="{ name: 'dashboard' }">
            <i class="fa fa-bar-chart-o"></i>
            <span class="nav-label">Dashboard</span>
          </router-link>
        </li>

        <!-- PROJECTS -->
        <li v-bind:class="{ active: sidebar_project }">
          <a>
            <i class="fa fa-university"></i>
            <span class="nav-label">Projects</span>
            <span class="fa arrow"></span>  
          </a>

          <ul class="nav nav-second-level collapse" 
            style="height: 0px;"
            v-bind:aria-expanded="sidebar_project"
            v-bind:class="{ in : sidebar_project }"
          >

            <li  v-bind:class="{ active: sidebar_project_supplier }">
              <router-link :to="{ name: 'supplier' }">Supplier</router-link>
            </li>
            <li  v-bind:class="{ active: sidebar_project_material }">
              <router-link :to="{ name: 'material'}" class="text-white">
                <span class="nav-label">Materials </span>
              </router-link>
            </li>
            <li v-bind:class="{ active: sidebar_project_material_type }">
              <router-link :to="{ name: 'material-type'}">Material Type</router-link>
            </li>
            <li  v-bind:class="{ active: sidebar_project_unit_of_measure }">
              <router-link :to="{ name: 'unit-of-measure'}">Unit Of Measure</router-link>
            </li>
            <li  v-bind:class="{ active: sidebar_project_brand }">
              <router-link :to="{ name: 'brand'}">Brand</router-link>
            </li>
            <li  v-bind:class="{ active: sidebar_project_equipment }">
              <router-link :to="{ name: 'equipment' }">
                <span class="nav-label">Equipment </span>
              </router-link>
            </li>
            <li  v-bind:class="{ active: sidebar_project_tool }">
              <router-link :to="{ name: 'tool' }">
                <span class="nav-label">Tool </span>
              </router-link>
            </li>
            <li  v-bind:class="{ active: sidebar_project_utility }">
              <router-link :to="{ name: 'utility' }">Utility</router-link>
            </li>
            <li  v-bind:class="{ active: sidebar_project_supply }">
              <router-link :to="{ name: 'supply' }">
                <span class="nav-label">Supply </span>
              </router-link>
            </li>
            <li  v-bind:class="{ active: sidebar_project_other }">
              <router-link :to="{ name: 'other-expense' }">Other Expenses</router-link>
            </li>
          </ul>
        </li>

        <!-- HR -->
        <li v-bind:class="{ active: sidebar_hr }">
          <a>
            <i class="fa fa-users"></i>
            <span class="nav-label">HR</span>
            <span class="fa arrow"></span>    
          </a>

          <ul class="nav nav-second-level collapse" 
            style="height: 0px;"
            v-bind:aria-expanded="sidebar_hr"
          >
            <li  v-bind:class="{ active: sidebar_hr_payroll }">
              <router-link :to="{ name: 'payroll'}">Payroll</router-link>
            </li>
            <li  v-bind:class="{ active: sidebar_hr_employee }">
              <router-link :to="{ name: 'employee' }">Employee</router-link>
            </li>
            <li  v-bind:class="{ active: sidebar_hr_worker }">
              <router-link :to="{ name: 'worker'}" class="text-white">
                <span class="nav-label">Worker</span>
              </router-link>
            </li>
            <li v-bind:class="{ active: sidebar_hr_agent }">
              <router-link :to="{ name: 'agent'}">Agent</router-link>
            </li>
          </ul>
        </li>

        <!-- ACCOUNTING -->
        <li v-bind:class="{ active: sidebar_accounting }">
          <a>
            <i class="fa fa-bar-chart-o"></i>
            <span class="nav-label">Accounting</span>
            <span class="fa arrow"></span>    
          </a>

          <ul class="nav nav-second-level collapse" 
            style="height: 0px;"
            v-bind:aria-expanded="sidebar_accounting"
          >
            
            <li  v-bind:class="{ active: sidebar_chart_of_account }">
              <router-link :to="{ name: 'chart-of-account' }">
                <span class="nav-label">Chart Of Accounts </span>
              </router-link>
            </li>
          </ul>
        </li>

        <!-- INVESTMENT -->
        <li v-bind:class="{ active: sidebar_investment }">
          <a>
            <i class="fa fa-money"></i>
            <span class="nav-label">Investments</span>
            <span class="fa arrow"></span>    
          </a>

          <ul class="nav nav-second-level collapse" 
            style="height: 0px;"
            v-bind:aria-expanded="sidebar_investment"
          >
            <li  v-bind:class="{ active: sidebar_investment_investor }">
              <router-link :to="{ name: 'investor'}">Investor</router-link>
            </li>
          </ul>
        </li>

        <!-- Settings -->
        <li v-bind:class="{ active: sidebar_setting }">  
          <a>
            <i class="fa fa-cogs"></i>
            <span class="nav-label">Setting</span>
            <span class="fa arrow"></span>  
          </a>

          <ul class="nav nav-second-level collapse" 
            style="height: 0px;"
            v-bind:aria-expanded="sidebar_setting"
            v-bind:class="{ in : sidebar_setting }"
          >

            <li  v-bind:class="{ active: sidebar_setting_user }">
              <router-link :to="{ name: 'user' }">User</router-link>
            </li>
          </ul>
        </li>

      </ul>
    </div>
  </nav>
</template>

<script>
  import Vue from 'vue'
  import { mapActions, mapGetters } from 'vuex'
  export default {
    data () {
      return {
        //Dashboard
        sidebar_dashboard: false,

        //Project
        sidebar_project: false,
        sidebar_project_material: false,
        sidebar_project_material_type: false,
        sidebar_project_unit_of_measure: false,
        sidebar_project_brand: false,
        sidebar_project_equipment: false,
        sidebar_project_tool: false,
        sidebar_project_utility: false,
        sidebar_project_supply: false,
        sidebar_project_other: false,
        sidebar_project_client: false,
        sidebar_project_supplier: false,

        //HR
        sidebar_hr: false,
        sidebar_hr_payroll: false,
        sidebar_hr_employee: false,
        sidebar_hr_worker: false,
        sidebar_hr_agent: false,

        //Accounting
        sidebar_accounting: false,
        sidebar_chart_of_account: false,

        //Investement
        sidebar_investment: false,
        sidebar_investment_investor: false,

        // Settings
        sidebar_setting: false,
        sidebar_setting_user: false
      }
    },
    computed: {
      ...mapGetters({
        user_detail: 'user_details'
      })
    },
    methods: {
      sidebar_active() {
        //Dashboard
        this.sidebar_dashboard = false

        //Project
        this.sidebar_project = false
        this.sidebar_project_material = false
        this.sidebar_project_material_type = false
        this.sidebar_project_unit_of_measure = false
        this.sidebar_project_brand = false
        this.sidebar_project_equipment = false
        this.sidebar_project_tool = false
        this.sidebar_project_utility = false
        this.sidebar_project_supply = false
        this.sidebar_project_other = false
        this.sidebar_project_client = false
        this.sidebar_project_supplier = false

        //HR
        this.sidebar_hr = false
        this.sidebar_hr_payroll = false
        this.sidebar_hr_employee = false
        this.sidebar_hr_worker = false
        this.sidebar_hr_agent = false

        //Accounting
        this.sidebar_accounting = false
        this.sidebar_chart_of_account = false

        //Investement
        this.sidebar_investment = false
        this.sidebar_investment_investor = false

        // Settings
        this.sidebar_setting = false
        this.sidebar_setting_user = false

        switch (this.$route.name) { 
          //Dashboard
          case 'dashboard':
            this.sidebar_dashboard =  true
            break;

          //Project
          case 'material':
          case 'material_profile':
            this.sidebar_project = true
            this.sidebar_project_material = true
            break;
          case 'material-type':
            this.sidebar_project = true
            this.sidebar_project_material_type = true
            break;
          case 'unit-of-measure':
            this.sidebar_project = true
            this.sidebar_project_unit_of_measure = true
            break;
          case 'brand':
            this.sidebar_project = true
            this.sidebar_project_brand = true
            break;
          case 'equipment':
            this.sidebar_project = true
            this.sidebar_project_equipment = true
            break;
          case 'tool':
            this.sidebar_project = true
            this.sidebar_project_tool = true
            break;
          case 'utility':
            this.sidebar_project = true
            this.sidebar_project_utility = true
            break;
          case 'supply':
            this.sidebar_project = true
            this.sidebar_project_supply = true
            break;
          case 'other-expense':
            this.sidebar_project = true
            this.sidebar_project_other = true
            break;
          case 'client':
            this.sidebar_project = true
            this.sidebar_project_client = true
            break;
          case 'supplier':
            this.sidebar_project = true
            this.sidebar_project_supplier = true
            break;

          //HR
          case 'payroll':
            this.sidebar_hr = true
            this.sidebar_hr_payroll = true
            break;
          case 'employee':
          case 'employee_profile':
            this.sidebar_hr = true
            this.sidebar_hr_employee = true
            break;
          case 'worker':
            this.sidebar_hr = true
            this.sidebar_hr_worker = true
            break;
          case 'agent':
            this.sidebar_hr = true
            this.sidebar_hr_agent = true
            break;

          //Accounting  
          case 'chart-of-account':
            this.sidebar_accounting = true
            this.sidebar_chart_of_account = true
            break;

          //Investment
          case 'investor':
            this.sidebar_investment = true
            this.sidebar_investment_investor = true
            break;

          //Setting  
          case 'user':
          case 'user_profile':
            this.sidebar_setting =  true
            this.sidebar_setting_user =  true
            break;
        }
      },
      ...mapActions({
            logout: 'logout',
        }),
    },
    watch: {
      '$route' (to, from) {
        this.sidebar_active()
      }
    },
    created () {
      this.sidebar_active()
    }
  }
</script>
